Bug 751751 - perl-IO-Socket-SSL failing to return last line of data
Summary: perl-IO-Socket-SSL failing to return last line of data
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-IO-Socket-SSL
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-07 13:01 UTC by Trever Adams
Modified: 2011-11-19 06:06 UTC (History)
6 users (show)

Fixed In Version: perl-IO-Socket-SSL-1.49-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-19 06:06:21 UTC
Type: ---


Attachments (Terms of Use)

Description Trever Adams 2011-11-07 13:01:33 UTC
Description of problem:
I am not sure why this has just started showing up. However, it is a huge problem. Additionally, I know the following is are problems/needs fixing:

1. There is a newer version of ddclient available.
2. ddclient needs a ddclient.conf for /var/run/ddclient in /etc/tmpfiles.d (this may or may not be the cause of the primary problem).

Version-Release number of selected component (if applicable):
ddclient-3.8.0-4.fc15.noarch

Comment 1 Jonathan Kamens 2011-11-09 18:35:45 UTC
For some reason ddclient is not getting back the last line of output that the server is sending when it tries to update:

CONNECTED:  using SSL
SENDING:  GET /nic/update?system=dyndns&hostname=[elided]&myip=[elided] HTTP/1.0
SENDING:   Host: members.dyndns.org
SENDING:   Authorization: Basic [elided]
SENDING:   User-Agent: ddclient/3.8.0
SENDING:   Connection: close
SENDING:   
RECEIVE:  HTTP/1.1 200 OK
RECEIVE:  Date: Wed, 09 Nov 2011 18:25:00 GMT
RECEIVE:  Server: Apache
RECEIVE:  X-User-Status: free
RECEIVE:  X-UpdateCode: n
RECEIVE:  Content-Type: text/plain
RECEIVE:  Accept-Ranges: none
RECEIVE:  Connection: close
RECEIVE:  
FAILED:   updating [elided]: Could not connect to members.dyndns.org.

There should be a "good" line but for some reason ddclient isn't seeing it.

I've stepped through the ddclient code. I don't see any bugs in it. It appears that for some reason the underlying IO::Socket::SSL just isn't giving ddclient the last line. I haven't dug down into that level of the code to find out why.

It's not just dyndns that is a problem. It's also failing with opendns.

If there's a bug in the library layers beneath ddclient, then this is much bigger than just a ddclient bug.

Downgrading to perl-IO-Socket-SSL-1.44-2.fc16.noarch.rpm makes the problem go away. Reassigning component.

Comment 2 Jonathan Kamens 2011-11-09 18:44:49 UTC
Trever, please create separate bugs in bugzilla about the ddclient-specific issues you mentioned above.

Comment 3 Paul Howarth 2011-11-09 19:00:00 UTC
Can you give the perl-IO-Socket-SSL-1.49 package from Rawhide a try? I suspect it'll fix the problem, and if that's the case, I'll push an update for F-16.

Comment 4 Jonathan Kamens 2011-11-09 19:08:44 UTC
Yum says I would have to update / install 127 other packages from Rawhide just to update perl-IO-Socket-SSL. That's not going to happen -- I'm not ready to mess up my machine like that right now. :-)

Feel free to do an F16 build of 1.49 and I'll try it out from Koji before you push the update, if you'd like.

Comment 5 Paul Howarth 2011-11-09 20:24:11 UTC
(In reply to comment #4)
> Yum says I would have to update / install 127 other packages from Rawhide just
> to update perl-IO-Socket-SSL. That's not going to happen -- I'm not ready to
> mess up my machine like that right now. :-)

Hmm, I didn't expect F-16 to have diverged from Rawhide that much.

> Feel free to do an F16 build of 1.49 and I'll try it out from Koji before you
> push the update, if you'd like.

OK, try this:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3500850

Comment 6 Jonathan Kamens 2011-11-09 20:32:55 UTC
Seems to work.

Comment 7 Fedora Update System 2011-11-09 21:26:22 UTC
perl-IO-Socket-SSL-1.49-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-IO-Socket-SSL-1.49-1.fc16

Comment 8 Fedora Update System 2011-11-10 17:32:00 UTC
Package perl-IO-Socket-SSL-1.49-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-IO-Socket-SSL-1.49-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15601
then log in and leave karma (feedback).

Comment 9 Trever Adams 2011-11-14 09:30:57 UTC
This may have fixed the problem with ddclient being abusive with dyndns. I will post again in a few days when I know.

Comment 10 Fedora Update System 2011-11-19 06:06:21 UTC
perl-IO-Socket-SSL-1.49-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.